Package org.eclipse.emf.compare.ide.ui.internal.logical.view

# Class LogicalModelView

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.ui.part.WorkbenchPart
org.eclipse.ui.part.ViewPart
org.eclipse.ui.navigator.CommonNavigator
org.eclipse.emf.compare.ide.ui.internal.logical.view.LogicalModelView

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.core.runtime.IExecutableExtension`, `org.eclipse.ui.IPersistable`, `org.eclipse.ui.ISaveablePart`, `org.eclipse.ui.ISaveablesSource`, `org.eclipse.ui.IViewPart`, `org.eclipse.ui.IWorkbenchPart`, `org.eclipse.ui.IWorkbenchPart2`, `org.eclipse.ui.IWorkbenchPart3`, `org.eclipse.ui.part.ISetSelectionTarget`, `org.eclipse.ui.part.IShowInTarget`, `org.eclipse.ui.part.IWorkbenchPartOrientation`

public class LogicalModelView extends org.eclipse.ui.navigator.CommonNavigator
A simple view displaying the resources of a logical model.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`LogicalModelView.Presentation`
Presentation mode of the viewer.

## Field Summary

### Fields inherited from class org.eclipse.ui.navigator.CommonNavigator

`IS_LINKING_ENABLED_PROPERTY, memento`

### Fields inherited from interface org.eclipse.ui.ISaveablePart

`PROP_DIRTY`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`LogicalModelView()`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.ui.navigator.CommonViewer`
`createCommonViewerObject(org.eclipse.swt.widgets.Composite aParent)`
`void`
`createPartControl(org.eclipse.swt.widgets.Composite parent)`
`void`
`dispose()`
`void`
`setFocus()`

### Methods inherited from class org.eclipse.ui.navigator.CommonNavigator

`createCommonActionGroup, createCommonManager, createCommonViewer, doSave, doSaveAs, getActiveSaveables, getAdapter, getCommonViewer, getFrameToolTipText, getInitialInput, getLinkHelperService, getMemento, getNavigatorActionService, getNavigatorContentService, getRootMode, getSaveables, getWorkingSetLabel, handleDoubleClick, hasSaveablesProvider, init, initListeners, isDirty, isLinkingEnabled, isSaveAsAllowed, isSaveOnCloseNeeded, saveState, selectReveal, setLinkingEnabled, setRootMode, setWorkingSetLabel, show, updateTitle`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`checkSite, getViewSite, init, setContentDescription, setInitializationData, setPartName`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

## Constructor Details

### LogicalModelView

public LogicalModelView()

## Method Details

### createPartControl

public void createPartControl(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
Overrides:
  `createPartControl` in class `org.eclipse.ui.navigator.CommonNavigator`

### createCommonViewerObject

protected org.eclipse.ui.navigator.CommonViewer createCommonViewerObject(org.eclipse.swt.widgets.Composite aParent)

Overrides:
  `createCommonViewerObject` in class `org.eclipse.ui.navigator.CommonNavigator`

### setFocus

public void setFocus()

Specified by:
  `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
Overrides:
  `setFocus` in class `org.eclipse.ui.navigator.CommonNavigator`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
Overrides:
  `dispose` in class `org.eclipse.ui.navigator.CommonNavigator`